%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Find every application in the system
Name:		xfce4-appfinder
Version:	4.19.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfce4-appfinder/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	pkgconfig(garcon-1) >= 4.18.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.18.0
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(libxfconf-0) >= 4.18.0

%description
Xfce appfinder is an useful software that permits you to find
every application in the system supporting Desktop entry format.

%prep
%autosetup -p1 -Sgit_am

%build
%configure
%make_build

%install
%make_install

for f in %{buildroot}%{_datadir}/applications/*.desktop; do
desktop-file-edit \
  --remove-category="Application" \
  --remove-category="X-FACE" \
  --add-only-show-in="XFCE" \
  $f
done

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md ChangeLog AUTHORS
%{_bindir}/%{name}
%{_bindir}/xfrun4
%{_datadir}/applications/xfce4-appfinder.desktop
%{_datadir}/applications/xfce4-run.desktop
%{_datadir}/metainfo/org.xfce.xfce4-appfinder.appdata.xml
%{_iconsdir}/hicolor/*/apps/org.xfce.appfinder.{png,svg}


%changelog
* Fri Nov 01 2024 wally <wally> 4.19.3-1.mga10
+ Revision: 2112050
- new version 4.19.3

* Sun Jun 09 2024 wally <wally> 4.19.2-1.mga10
+ Revision: 2071942
- new version 4.19.2

* Sun Apr 21 2024 wally <wally> 4.19.1-1.mga10
+ Revision: 2060352
- new version 4.19.1

* Mon Sep 04 2023 wally <wally> 4.18.1-1.mga10
+ Revision: 1984106
- new version 4.18.1

* Fri Dec 16 2022 wally <wally> 4.18.0-1.mga9
+ Revision: 1923765
- new version 4.18.0

* Sat Dec 03 2022 wally <wally> 4.17.2-1.mga9
+ Revision: 1915897
- new version 4.17.2

* Sun Apr 03 2022 umeabot <umeabot> 4.17.0-2.mga9
+ Revision: 1842620
- Mageia 9 Mass Rebuild

* Fri Sep 24 2021 wally <wally> 4.17.0-1.mga9
+ Revision: 1746297
- new version 4.17.0

* Mon Jan 18 2021 wally <wally> 4.16.1-1.mga8
+ Revision: 1672419
- new version 4.16.1

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663196
- new version 4.16.0

* Sat Oct 17 2020 wally <wally> 4.15.2-1.mga8
+ Revision: 1636534
- new version 4.15.2

* Fri Aug 21 2020 wally <wally> 4.15.1-1.mga8
+ Revision: 1617669
- new version 4.15.1

* Fri Jun 19 2020 wally <wally> 4.15.0-1.mga8
+ Revision: 1597381
- new version 4.15.0

* Sat Feb 15 2020 umeabot <umeabot> 4.14.0-2.mga8
+ Revision: 1528193
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 12 2019 wally <wally> 4.14.0-1.mga8
+ Revision: 1428943
- new version 4.14.0

* Wed Jul 31 2019 wally <wally> 4.13.5-1.mga8
+ Revision: 1426413
- new version 4.13.5

* Mon Jul 01 2019 wally <wally> 4.13.4-1.mga8
+ Revision: 1417256
- new version 4.13.4

* Sat May 18 2019 wally <wally> 4.13.3-1.mga7
+ Revision: 1398246
- new version 4.13.3

* Sat Dec 08 2018 wally <wally> 4.13.2-1.mga7
+ Revision: 1338949
- new version 4.13.2

* Sat Sep 08 2018 wally <wally> 4.13.1-2.mga7
+ Revision: 1257820
- add patch to ignore menu items without name (xfce#14655)

* Sat Aug 25 2018 wally <wally> 4.13.1-1.mga7
+ Revision: 1254411
- new version 4.13.1

* Sun Oct 01 2017 wally <wally> 4.13.0-1.mga7
+ Revision: 1162215
- new version 4.13.0
- switch to gtk3

* Wed Feb 17 2016 umeabot <umeabot> 4.12.0-3.mga7
+ Revision: 963494
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 wally <wally> 4.12.0-2.mga6
+ Revision: 887559
- add patch from Evangelos Foutras to fix usage of legacy icon names

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817402
- new version 4.12.0

* Wed Oct 15 2014 umeabot <umeabot> 4.11.0-3.mga5
+ Revision: 748987
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11.0-2.mga5
+ Revision: 690599
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 wally <wally> 4.11.0-1.mga5
+ Revision: 595885
- new version 4.11.0

* Sat Oct 19 2013 umeabot <umeabot> 4.10.1-2.mga4
+ Revision: 523580
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 4.10.1-1.mga4
+ Revision: 425066
- new version 4.10.1

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-2.mga3
+ Revision: 386785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248505
- new version 4.10.0
- clean .spec

* Tue Jan 03 2012 wally <wally> 4.9.3-2.mga2
+ Revision: 190026
- add conflict to allow smooth upgrade

* Tue Jan 03 2012 wally <wally> 4.9.3-1.mga2
+ Revision: 190011
- new version 4.9.3

* Thu Nov 17 2011 wally <wally> 4.9.2-1.mga2
+ Revision: 168479
- new version 4.9.2

* Sun Nov 06 2011 wally <wally> 4.9.1-1.mga2
+ Revision: 164531
- new version 4.9.1
- clean BRs and use pkgconfig() if possible
- require tango-icon-theme as there's no icons anymore in pkg

* Sat Feb 19 2011 ahmad <ahmad> 4.8.0-2.mga1
+ Revision: 54027
- drop old unneeded scriptlets
- bump the versions of some of the BR
- imported package xfce4-appfinder


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1mdv2011.0
+ Revision: 632767
- update to new version 4.8.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-1mdv2011.0
+ Revision: 629119
- update to new version 4.7.2

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.1-1mdv2011.0
+ Revision: 593821
- update to new version 4.7.1

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-1mdv2011.0
+ Revision: 579622
- update to new version 4.7.0
- adjust buildrequires

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-1mdv2011.0
+ Revision: 553898
- update to new version 4.6.2

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.1
+ Revision: 543219
- rebuild for mdv 2010.1

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368574
- update to new version 4.6.1

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349193
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345710
- New upstream release

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 334209
- update to new version 4.5.99.1

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329513
- update to new version 4.5.93

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303563
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294748
- Xfce4.6 beta1 is landing on cooker
- disable all patches
- fix file list

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 4.4.2-5mdv2009.0
+ Revision: 269782
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-4mdv2009.0
+ Revision: 205585
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Tue Jan 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-3mdv2008.1
+ Revision: 159859
- enable label word wrap

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 110817
- correct buildrequires
- fix desktop entry
- do not package COPYING and INSTALL

* Sun Nov 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 110062
- New release 4.4.2

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - obsolete older release
    - new license policy
    - use upstream tarball name as a real name
    - use upstream name

* Wed Sep 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-5mdv2008.0
+ Revision: 80224
- add incremental search

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 71245
- remove X-MandrivaLinux from desktop file

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 32842
- s/imagemagick/ImageMagick
- tune up desktop file
- drop old menu style
- spec file clean

* Wed Apr 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14739
- New release 4.4.1

